All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.relational
Class DeleteCommand

    com.sas.commands.relational.DeleteCommand

All Implemented Interfaces:
  CommandSupportedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class DeleteCommand

This class implements the delete command.

Field Summary

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`DeleteCommand()` Default constructor
`DeleteCommand(java.lang.String name)` Constructor that accepts a command name
`DeleteCommand(java.lang.String name, java.lang.String actionClass)` Constructor that accepts a command name and an action class type

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseCommand class.
`java.lang.String` | `getSelectedRows()` Gets the string containing the names of the component used to depict row selection.
`protected java.util.Map` | `getSelectedRowsNameValuePairs()` This method get a map containing all the name/value pairs of the selected rows on the EditNavigationInterface implementor.
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.
`void` | `setSelectedRows(java.lang.String rows)` Sets the string containing the names of the component used to depict row selection.

Methods inherited from class com.sas.commands.relational.BaseEditCommand
`getChangedCells, getModel, getRow, setChangedCells, setModel, setRow`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Constructor Detail

### DeleteCommand

    public DeleteCommand()

  Default constructor

### DeleteCommand

    public DeleteCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - the name of this command

### DeleteCommand

    public DeleteCommand(java.lang.String name,
                         java.lang.String actionClass)

  Constructor that accepts a command name and an action class type

  Parameters:
    `name` - the name of this command
    `actionClass` - the name of the action class for this command

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseCommand class. Executes this command.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Specified by:
    `execute` in class `BaseCommand`
  Parameters:
    `out` - The output stream to which the results of this command should be written.

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument. The implementation on this class always return true. Extensions of this class should override this method if there are conditions where the command may not be available or supported.

  Specified by:
    `isSupported` in interface `CommandSupportedInterface`
  Specified by:
    `isSupported` in class `BaseEditCommand`
  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.
  See Also:
    `BaseAction.setReturnStatus(int)`

### setSelectedRows

    public void setSelectedRows(java.lang.String rows)

  Sets the string containing the names of the component used to depict row selection. The names are assumed to be seperated by a ";". The names of the selected rows are determined by the viewer doing the editing.

  Parameters:
    `rows` - the names of the rows to be deleted
  See Also:
    `TableView`

### getSelectedRows

    public java.lang.String getSelectedRows()

  Gets the string containing the names of the component used to depict row selection. The names are assumed to be seperated by a ";". The names of the selected rows are determined by the viewer doing the editing.

  Returns:
    the names of the rows to be deleted
  See Also:
    `TableView`

### getSelectedRowsNameValuePairs

    protected java.util.Map getSelectedRowsNameValuePairs()

  This method get a map containing all the name/value pairs of the selected rows on the EditNavigationInterface implementor. The command should can then setRowsToDelete on the instance of the EditNavigationInterface.

  Returns:
    returns a map containing all the name/value pairs of the rows to be deleted

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.